/* ----------------------------------------------------------------------------
 *  Copyright (C) 1995-2002 by Karim Kaschani
 *
 *  This file is part of the function calculation package FuncCalc.
 *
 *  FuncCalc is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  FuncCalc is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ------------------------------------------------------------------------- */

#include <curses.h>





/* ----------------------------------------------------------------------------
 * curs_utils.h - editing header file
 * ------------------------------------------------------------------------- */

#ifndef KEYCODES
#define K_BSP	8		/* backspace                     */
#define K_HOME	8		/* backspace                     */
#define K_TAB	9		/* tabulator                     */
#define K_START	1		/* cursor right at the beginning */
#define K_END	5		/* cursor right at the end       */
#define K_CR	10		/* carriage return               */
#define K_SPC	32		/* space bar                     */
#define K_DEL	127		/* delete                        */
#define K_LEFT	12		/* cursor left                   */
#define K_RIGHT	18		/* cursor right                  */
#define K_UP	16		/* cursor up                     */
#define K_DOWN	14		/* cursor down                   */
#define K_UNDO	21		/* undo                          */
#define K_ESC	27		/* escape                        */
#define K_C_D	4		/* ctrl-d                        */
#define K_C_X	24		/* ctrl-x                        */
#define KEYCODES
#endif

#ifndef KEYC
extern short	GetKey();
#endif

extern void	initCurses();
extern void	fc_exit();
extern void	updateWinsize();
extern void	reportError(WINDOW *, char *, char *, int);
extern void	resizeNotice();
extern void	writeXY(short, short, char *, short);
extern void	edit(short, short, char *, char *,short *);
extern void	setupResourcePath(const char*, const char*, char*);
extern void	helpMenu(WINDOW *);
extern void	showTitle(char *, char *);
extern void	showCalculationNote(char *, char *, char *);
extern void	showViewerStatus(WINDOW *, int, int);
extern void	showDataset(int, char *, ...);
extern void	moreViewer(WINDOW **, line *, line **, line **, int, int *);
extern void	saveData(FILE *, char *, int, line *, char *);
extern void	saveDataset(WINDOW *, char *, int, ...);
